Bug 469779 - solar-backgrounds suddenly bad-looking.
solar-backgrounds suddenly bad-looking.
Product: Fedora
Classification: Fedora
Component: solar-backgrounds (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Martin Sourada
Fedora Extras Quality Assurance
Depends On:
Blocks: F10Target
  Show dependency treegraph
Reported: 2008-11-03 20:16 EST by Florent Le Coz
Modified: 2013-01-11 00:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-11 17:05:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
bluer sun try 1 (705.47 KB, image/png)
2008-11-05 09:49 EST, Máirín Duffy
no flags Details
differences in solar wallpapers (2.15 MB, image/png)
2008-11-05 17:16 EST, Martin Sourada
no flags Details

  None (edit)
Description Florent Le Coz 2008-11-03 20:16:53 EST
Description of problem:
solar background was the nicest and cleanest background I've ever seen. But since the version 0.91.1-1.fc10 (in rawhide), it has suddenly become really ugly...
("ugly" may be a too strong word for that, but English isn't my native language, so excuse me)

This new version has a really BIG "sun", but it has become DARK, slightly blurred and is not "clean" anymore. It looks more like a moon than a sun...
Even the stars look blurry and not "clean" anymore.

The previous version was just shiny, clean, pretty... in one word : NICE.

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1.look at the new solar-backgrounds version
2.admit that it's a BIG regression.
Actual results:
background is dark, blurred and the sun is too big.

Expected results:
background should be nice, shiny, blue, not blurred : exactly like the previous version.

Additional info:
a possible fix: put the previous solar-backgrounds version back !
Comment 1 Martin Sourada 2008-11-04 02:05:11 EST
What screen resolution do you have? Can you attach a screenshot?
Comment 2 Couret Charles-Antoine 2008-11-04 10:06:05 EST
I confirm this bug, I prefer the old version to background of solar-theme. The old version is very blue like Fedora, I love the blue star and no the gray star...
Comment 3 Máirín Duffy 2008-11-04 18:26:07 EST
Florent, the reason it may be blurry where it wasn't before is that we had to downsize the graphics we shipped to only two or three sizes so that the package would fit on the LiveCd.

I would recommend you install the solar-backgrounds-extras package for more resolutions. This will get rid of any blurring issues.

The previous version of the solar backgrounds had problems so I do not think that is a good idea. Please see this link for more details on that: http://mihmo.livejournal.com/64097.html
Comment 4 Florent Le Coz 2008-11-05 05:29:35 EST
Ok, thank you for the details, I will try this solar-backgrounds-extras and report if it seems better, for the blurry issue. (because I use a Dual-screen, I can't remember the size, but it's pretty wide, indeed. Not a standard resolution)

But : from the link you provided, it seems ok to me to correct the different "outlines" (or not... I thought it was pretty nice and gave a funny style to the sun... anyway), but now look INSIDE the sun : it's now DARK and it was previously BLUE. What is the big problem (for me, and other people I know) is that the sun is now DARK-GREY inside, instead of BRIGHT-BLUE. The two examples on the link are perfectly showing what I mean.
It's something really new, because solar was, from the begin (as far as I can remember), very blue and bright and it was what make it beautifull.

So, don't come back to the previous version if this new one fixes issues, but I seriously think that this grey sun shouldn't remain the way it is actually...

(and also, it's maybe a little too big. But if it was BLUE I think I wouldn't care :))

I thank you for considering this bug report (and for doing solar, which is the best fedora theme for now (IMHO)) :)
Comment 5 Máirín Duffy 2008-11-05 09:49:42 EST
Created attachment 322580 [details]
bluer sun try 1
Comment 6 Máirín Duffy 2008-11-05 09:50:28 EST
Hi Florent,

Can you check the attached image (Attachment #322580 [details]) and let me know if the sun is sufficiently bluer in it?

Also, the sun being too big is again likely a symptom of the wallpaper you're using not matching your screen resolution.
Comment 7 Florent Le Coz 2008-11-05 11:38:37 EST
Thank you very much for considering my few remarks :)

It's a lot better, but I see some problems, still.
I had a discussion with Couret Charles-Antoine (comment #2) and we both agree on these points :

- It's brighter, ok, but it's still FLAT. The previous version had many more contrast (it was Black VS Bright-Blue, instead of Blue VS Grey)
- It lacks of eruption.
- the surface of the sun is pixellised.

Solar is a STAR and what I see is a MOON or a dead planet, because it lacks of contrast and eruption.
A star is not FLAT, silent and "not moving" ("immobile" ?).
A star is erupting, moving, exploding, etc.

That's why the previous version was great : it had a lot of contrast, a lot of visible and impressioning eruptions !

See : http://upload.wikimedia.org/wikipedia/commons/0/00/Blue_sun.jpg
It's not a perfect circle, it has a lot of contrast and the explosions are visible.

And that's why I think this version is perfect : https://fedoraproject.org/w/uploads/c/c9/Solar_2048x1536_SunSetTime.png
The sun is not too big, so we can see that WE ARE in the space. (contrary to the new one which is a lot bigger (and no, that's not only my screen resolution, on this picture, the sun is far littler than on the new one)

What is missing is the dynamic/shining that a star should have. (and this was present in the previous version, but not anymore :()
Comment 8 Máirín Duffy 2008-11-05 11:50:52 EST
Hi Florent,

I'm terribly confused. The version you cite as being perfect at https://fedoraproject.org/w/uploads/c/c9/Solar_2048x1536_SunSetTime.png

*IS* the new version of solar. I can tell because I know I added the new flares that are in that image and the dark halo around the sun is cleaned up. 

Where did you get that version?
Comment 9 Florent Le Coz 2008-11-05 12:32:23 EST

The old version (the one I love) is : https://fedoraproject.org/w/uploads/c/c9/Solar_2048x1536_SunSetTime.png

and the current one, the one that I have in rawhide is the one you attached (but darker) : https://bugzilla.redhat.com/attachment.cgi?id=322580

It's not the same at all...
Comment 10 Máirín Duffy 2008-11-05 12:41:36 EST
Hi Florent,

Can you give me the mediawiki Image: page rather than the direct file link to where you found that image on the fedora wiki?

They are indeed the same image, just cropped and sized differently. It seems like there was some mistake made in the final preparations of the wallpaper.
Comment 11 Florent Le Coz 2008-11-05 14:35:05 EST
Uh, now it's time for ME to be confused:

these two images are NOT the same at all... (clean your browser cache... maybe :p)

the old-nice one : http://fedoraproject.org/wiki/Image:Solar_2048x1536_NightTime.png
(found in there : http://fedoraproject.org/wiki/Artwork/F10Themes/Solar)

the new one in rawhide that is being criticized in the bug report :
(appears on the same page of the wiki)
Comment 12 Máirín Duffy 2008-11-05 14:48:51 EST
Yes, they are the same. They are different resolutions, and one is from a higher-resolution and incorrectly-cropped version of the other. One also has a blue color layer applied over top of it to try to address the concern that the sun isn't blue enough.

I know for a fact that they are derived from the same exact version of the artwork, because I spent around 30 hours painstakingly making the needed fixes. 

I am going to try to find an art team volunteer to fix this. Thanks for the bug report.
Comment 13 Martin Sourada 2008-11-05 17:16:24 EST
Created attachment 322649 [details]
differences in solar wallpapers

I've checked the packages content and it looks like 1680x1050 (both single and dual screen) are probably missing some layer on top of the star and as a result it has different colour and feel from the other versions. It's strange though, that the 1920x1200 image on wiki Florentz referenced, suffers the same issue, while the 1920x1200 one that's in the packages is OK.

Mo, do you think you can fix those (in total eight wallpapers, but I believe actually only four of them requires you to do the hard work, the remaining four are just cropped versions)? We'd probably also need someone to check the wiki if it has the correct (more blue) versions or not and fix them where needed.

I attach an image that directly compares night versions of the 1920x1200 ones as in the package (the top part) and as on the wiki (the bottom part). You can see the differences pretty plain there.
Comment 14 Florent Le Coz 2008-11-05 18:40:56 EST
Thank you very much Martin, that's exactly what I tried to explain, but you succeeded with only an single image, instead of long talk :)

Hope it can be fixed without too many hard work.
Comment 15 Máirín Duffy 2008-11-05 21:00:27 EST
"instead of long talk :)"

Comment 16 Florent Le Coz 2008-11-06 07:15:54 EST
(In reply to comment #15)
> "instead of long talk :)"
> :(

I was talking about ME ! ;-)

(I explained the problem with a long description instead of using a simple screenshot like the one Martin provided)
Comment 17 Charlie Brej 2008-11-06 14:13:15 EST
They grayish suns were a result of a layer being accidentally left visible ("New Layer #3"). I have uploaded the versions which should match the others exactly.

(you might need to Shift-F5 refresh to clear the cache)

Could you OK these as having corrected your bug?

I can't believe I didn't notice this myself as I have a widescreen monitor at home and a 4:3 one at work. I just assumed I was depressed in the evenings after the sun set.
Comment 18 Florent Le Coz 2008-11-06 14:49:54 EST
Thank you !

It indeed fixes this bug.
Comment 19 Martin Sourada 2008-11-06 16:26:00 EST
(In reply to comment #18)
> Thank you !
> It indeed fixes this bug.

Not really... It only fixes the wrong image on wiki, in the package we need to fix another versions. Máirín already sent me xcfs and I am working on the fix. I am still not getting correct results (i.e. the image looks slightly different from other versions) but I've fixed the star.

Comment 20 Martin Sourada 2008-11-09 05:01:42 EST
Florent, can you try this package? It contains the fixed wallpapers:


Máirín, are the fixed wallpapers OK with you? They're also available on

Comment 21 Florent Le Coz 2008-11-10 18:45:09 EST
I tried this package (in fact, three (backgrounds, common and extra)) and it is installed correctly, I have two possibilities : Solar and Solar HD, both are just fine (but different sizes).

So I think you can put these in Rawhide (as for me it's fixed)

Thank you :)
Comment 22 Martin Sourada 2008-11-11 17:05:18 EST
It's in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.